Skip to main content
GET
/
v2
/
bank_accounts
/
{id}
Get a business account
curl --request GET \
  --url https://thirdparty.qonto.com/v2/bank_accounts/{id} \
  --header 'Authorization: Bearer <token>'
{ "bank_account": { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "Primary bank account", "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "status": "active", "main": true, "iban": "FR7616958000010123456789037", "bic": "BNPAFRPPXXX", "currency": "EUR", "balance": 142188.43, "balance_cents": 14218843, "authorized_balance": "141148.12", "authorized_balance_cents": 14114812, "updated_at": "2024-04-03T12:00:00Z", "is_external_account": false, "account_number": 1234567890 } }

Authorizations

Authorization
string
header
required

Bearer authorization header: Bearer <token>, where <token> is the access token received from the authorization server at the end of the OAuth 2.0 flow.

Headers

X-Qonto-Staging-Token
string

Required only for Sandbox API requests; to get one, please sign up to the Developer Portal.

Path Parameters

id
string
required

ID of the business account to retrieve

Response

Business account retrieved successfully

bank_account
object
required